# Class CIPDataTracker

java.lang.Object
org.jmol.symmetry.CIPData
org.jmol.symmetry.CIPDataTracker

public class CIPDataTracker extends CIPData
An optional class to track digraph paths to decisions. Used in Jmol to create the auxiliary structure _M.CIPInfo.

## Field Summary

Fields
Modifier and Type
Field
Description
`Map<String, org.jmol.symmetry.CIPDataTracker.CIPTracker>`
`htTracker`
a table to track decision making when only one atom is selected for calculation

### Fields inherited from class CIPData

`testRule6Full, vNorm, vTemp`

## Constructor Summary

Constructors
Constructor
Description
`CIPDataTracker()`

## Method Summary

Modifier and Type
Method
Description
`protected boolean`
`isTracker()`
Subclass identifier

### Methods inherited from class CIPData

`getList, init, match, set, setRule6Full`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### htTracker

public Map<String, org.jmol.symmetry.CIPDataTracker.CIPTracker> htTracker
a table to track decision making when only one atom is selected for calculation

## Constructor Details

### CIPDataTracker

public CIPDataTracker()

## Method Details

### isTracker

protected boolean isTracker()
Description copied from class: `CIPData`
Subclass identifier

Overrides:
  `isTracker` in class `CIPData`
Returns:
  true for CIPDataTracker